Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_NamedValue Class Reference

NamedValue ... these occur only in "NVList" (named value list) data structures. The binary form of the data structure is frozen and visible to programs using it (e.g. from C). The C++ class supports some programming discipline, e.g. to avoid memory leaks. They just represent parameters to calls. The name is optional, and the value is packaged as an Any. The flags indicate parameter mode, and some ownership rules for "top level" memory. More...

`#include <NVList.h>`

List of all members.

## Public Types
typedef CORBA_NamedValue_ptr | _ptr_type
typedef CORBA_NamedValue_var | _var_type
## Public Methods
const char* | name (void) const
| optional name.
CORBA::Any_ptr | value (void) const
| return the value.
CORBA::Flags | flags (void) const
| return the parameter mode flag.
| ~CORBA_NamedValue (void)
| destructor - manages the name and value.
CORBA::ULong | _incr_refcnt (void)
CORBA::ULong | _decr_refcnt (void)
## Static Public Methods
CORBA_NamedValue* | _duplicate (CORBA_NamedValue*)
CORBA_NamedValue* | _nil (void)
## Private Methods
| CORBA_NamedValue (void)
| private constructor. Cannot be directly instantiated other than by its friends.
## Private Attributes
CORBA::ULong | refcount_
| maintains how many references exist to this object.
TAO_SYNCH_MUTEX | refcount_lock_
| Protects the reference count.
CORBA::Any | any_
| holds the value.
CORBA::Flags | flags_
| parameter mode flags.
char* | name_
| optional IDL name of the parameter.
## Friends
class | CORBA_ORB
class | CORBA_NVList
class | CORBA_Request

## Detailed Description

NamedValue ... these occur only in "NVList" (named value list) data structures. The binary form of the data structure is frozen and visible to programs using it (e.g. from C). The C++ class supports some programming discipline, e.g. to avoid memory leaks. They just represent parameters to calls. The name is optional, and the value is packaged as an Any. The flags indicate parameter mode, and some ownership rules for "top level" memory.

## Member Typedef Documentation

typedef CORBA_NamedValue_ptr CORBA_NamedValue::_ptr_type

typedef CORBA_NamedValue_var CORBA_NamedValue::_var_type

## Constructor & Destructor Documentation

CORBA_NamedValue::~CORBA_NamedValue ( | void )

| destructor - manages the name and value.

ACE_INLINE CORBA_NamedValue::CORBA_NamedValue ( | void )`[private]`

| private constructor. Cannot be directly instantiated other than by its friends.

## Member Function Documentation

CORBA::ULong CORBA_NamedValue::_decr_refcnt ( | void )

ACE_INLINE CORBA_NamedValue * CORBA_NamedValue::_duplicate ( | CORBA_NamedValue * x )`[static]`

const char *get_rcsid_tao _ CORBA::ULong CORBA_NamedValue::_incr_refcnt ( | void )`[inline]`

ACE_INLINE CORBA_NamedValue * CORBA_NamedValue::_nil ( | void )`[static]`

ACE_INLINE CORBA::Flags CORBA_NamedValue::flags ( | void ) const

| return the parameter mode flag.

ACE_INLINE const char * CORBA_NamedValue::name ( | void ) const

| optional name.

ACE_INLINE CORBA::Any_ptr CORBA_NamedValue::value ( | void ) const

| return the value.

## Friends And Related Function Documentation

class CORBA_NVList`[friend]`

class CORBA_ORB`[friend]`

class CORBA_Request`[friend]`

## Member Data Documentation

CORBA::Any CORBA_NamedValue::any_`[private]`

| holds the value.

CORBA::Flags CORBA_NamedValue::flags_`[private]`

| parameter mode flags.

char * CORBA_NamedValue::name_`[private]`

| optional IDL name of the parameter.

CORBA::ULong CORBA_NamedValue::refcount_`[private]`

| maintains how many references exist to this object.

TAO_SYNCH_MUTEX CORBA_NamedValue::refcount_lock_`[private]`

| Protects the reference count.

The documentation for this class was generated from the following files:

- NVList.h
- NVList.cpp
- NVList.i